Commits

vrld  committed 1f10ced

Partly fix issue #468: Incorrect(?) detection of shader support.

Still need to figure out if we can use the ARB versions.

  • Participants
  • Parent commits addec3a

Comments (0)

Files changed (1)

File src/modules/graphics/opengl/PixelEffect.cpp

 
 std::string PixelEffect::getGLSLVersion()
 {
-	// GL_SHADING_LANGUAGE_VERSION is not available in OpenGL < 2.1.
-	// Be very pessimistic about the GLSL version in that case.
-	if (!GLEE_VERSION_2_1)
+	// GL_SHADING_LANGUAGE_VERSION may not be available in OpenGL < 2.0.
+	const char *tmp = glGetString(GL_SHADING_LANGUAGE_VERSION);
+	if (NULL == tmp)
 		return "0.0";
 
 	// the version string always begins with a version number of the format